<!DOCTYPE html>
<html>

<head>
    <title>Create</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>

<body>
    <center>
        <h1>Create New User</h1>
    </center>

    <table align="center">
        <tr>
            <td>User ID : </td>
            <td>
                <input type="text" name="uid" id="uid">
            </td>
        </tr>
        <tr>
            <td>User Name : </td>
            <td>
                <input type="text" name="uname" id="uname">
            </td>
        </tr>
        <tr>
            <td>User Coins : </td>
            <td>
                <input type="text" name="ucoins" id="ucoins">
            </td>
        </tr>
        <tr>
            <td>User Gems : </td>
            <td>
                <input type="text" name="ugems" id="ugems">
            </td>
        </tr>
        <td align="center"><input type="button" value="Add" id="add"></td>
        <!-- <td align="center"><a href="/users/show">Show</a></td> -->
    </table>
    &emsp; <a href="/"> HOME </a> &emsp;
    &emsp; <a href="users/show"> Show All Users </a> &emsp;
    <div id="result" align="center"></div>
    <!-- <div id="allusers" align="center"></div> -->
</body>

</html>
<script>
    $("#add").click(() => {
        $.ajax({
            method: 'POST',
            url: "users/create",
            data: {
                uid: $('#uid').val(),
                uname: $('#uname').val(),
                ucoins: $('#ucoins').val(),
                ugems: $('#ugems').val(),
            }
        }).done((msg) => {
            console.log(msg);
            $('#result').html(msg);
        }).catch((err) => {
            console.log(err);
            $('#result').html(err);
        });
    })
</script>